List Staff Working Hours Schedules
const url = 'https://api.upvio.com/v1/businesses/example/staff/example/working-hours-schedules';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.upvio.com/v1/businesses/example/staff/example/working-hours-schedules \ --header 'Authorization: Bearer <token>'Experimental Feature. Subject to change. Retrieve a list of Working Hours Schedules for a Staff.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The ID of the Business.
The ID of the Staff.
Responses
Section titled “ Responses ”A list of Working Hours Schedules
object
A schedule to use with Staff to plan availability.
object
Unique identifier across the platform.
Time when the resource was created (ISO 8601 format).
Time when the resource was created (ISO 8601 format).
The ID of the Staff this resource belongs to.
A configuration to define active hours.
object
A group of active hours for a single day.
A group of active hours for a single day.
A group of active hours for a single day.
A group of active hours for a single day.
A group of active hours for a single day.
A group of active hours for a single day.
A group of active hours for a single day.
The timezone for this schedule
Example
{ "data": [ { "workingHours": { "monday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "tuesday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "wednesday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "thursday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "friday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "saturday": [ [ 900, 1200 ], [ 1300, 1700 ] ], "sunday": [ [ 900, 1200 ], [ 1300, 1700 ] ] }, "timezone": "America/New_York", "dateStart": "2024-01-01T00:00:00Z", "dateEnd": "2024-01-08T00:00:00Z" } ]}